plugins/provisioners/salt/bootstrap-salt.sh in vagrant-unbundled-1.9.7.1 vs plugins/provisioners/salt/bootstrap-salt.sh in vagrant-unbundled-1.9.8.1
- old
+ new
@@ -1,12 +1,16 @@
#!/bin/sh -
# We just download the bootstrap script by default and execute that.
if [ -x /usr/bin/fetch ]; then
- /usr/bin/fetch -o - https://raw.githubusercontent.com/saltstack/salt-bootstrap/stable/bootstrap-salt.sh | sh -s -- "$@"
+ /usr/bin/fetch -o bootstrap-salt.sh https://raw.githubusercontent.com/saltstack/salt-bootstrap/stable/bootstrap-salt.sh
elif [ -x /usr/bin/curl ]; then
- /usr/bin/curl -L https://raw.githubusercontent.com/saltstack/salt-bootstrap/stable/bootstrap-salt.sh | sh -s -- "$@"
+ /usr/bin/curl -L -O https://raw.githubusercontent.com/saltstack/salt-bootstrap/stable/bootstrap-salt.sh
else
- python \
- -c 'import urllib; print urllib.urlopen("https://raw.githubusercontent.com/saltstack/salt-bootstrap/stable/bootstrap-salt.sh").read()' \
- | sh -s -- "$@"
+ python -c 'import urllib; urllib.urlretrieve("https://raw.githubusercontent.com/saltstack/salt-bootstrap/stable/bootstrap-salt.sh", "bootstrap-salt.sh")'
+fi
+
+if [ -e bootstrap-salt.sh ]; then
+ sh bootstrap-salt.sh "$@"
+else
+ exit 1
fi